package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AppUnbindLog对象", description="")
public class AppUnbindLog implements Serializable {

private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "解绑账户")
    private String account;

    @ApiModelProperty(value = "imei")
    private String imei;

    @ApiModelProperty(value = "解绑id")
    private String userId;
    @ApiModelProperty(value = "与孩子的关系")
    private String relation;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;


}
