package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-09-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceLocationApp对象", description="")
public class DeviceLocationApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备定位表")
    private String id;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = ("定位类型 LBS, GPS"))
    private String locationType;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "高德定位区域id")
    private String adcode;

    @ApiModelProperty(value = "地址")
    private String addr;

    @ApiModelProperty(value = "定位精度")
    private String radius;

    @ApiModelProperty(value = "日期")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "国家")
    private String country;



}
