package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 视频型号管理信息表
 * </p>
 *
 * @author ${author}
 * @since 2022-07-08
 */

@Data
public class VideoModelDto implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 视频型号ID
     */
    private String videoModelId;

    /**
     * 视频类型名称
     */
    private String videoModelName;

    /**
     * 分辨率
     */
    private String resolvingPower;

    /**
     * 单次通话时长（单位秒）
     */
    private Integer singleCall;

    /**
     * 通话间隔（单位秒）
     */
    private Integer callInterval;

    /**
     * 总视频时长（单位秒）
     */
    private Integer totalVideo;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 是否删除（0.是，1.否）
     */
    private String delFlag;
    /**
     * 引入设备的个数
     */
    @TableField(exist = false)
    private int deviceTotal;

    /**
     * 视频类型（1.菊风，2.声网，3.佰锐，4.鹈鹕）
     */
    private String videoModelType;

}
