package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value="BindingDeviceDto对象", description="绑定添加设备对象")
@Data
public class BindingDeviceDto {
    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "设备拥有者名字")
    private String name;

    @ApiModelProperty(value = "设备拥有者性别（1.男,2.女,3.保密）")
    private String sex;

    @ApiModelProperty(value = "设备拥有者生日")
    private String birthday;


    @ApiModelProperty(value = "设备拥有者身高")
    private String height;

    @ApiModelProperty(value = "设备拥有者体重")
    private String weight;

    @ApiModelProperty(value = "设备电话号码")
    private String phone;

//    @ApiModelProperty(value = "手表头像文件名 xxx.jpg,前端传文件即可")
//    private String image;

    @ApiModelProperty(value = "当前登录人手机号码")
    private String my_phone;

//    @ApiModelProperty(value = "当前登录人头像文件名xxx.jpg")
//    private String userImage;

    @ApiModelProperty(value = "当前登录人的昵称,(例如 叔叔，亲人等)")
    private String relationship;

    @ApiModelProperty(value = "与孩子关系头像文件名ID xxx.jpg")
    private String relationshipId;


}
