package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Title: CheckVersionDto
 * @Author: liy
 * @Date: 2022/10/31 16:46
 * @Description:
 * @Version:1.0
 */
@Data
public class CheckVersionDto {

    @ApiModelProperty(example = "是否需要版本升级(1:是,0:否)")
    private String newVersionFlag;

    @ApiModelProperty(example = "APP url")
    private String appUrl;

    @ApiModelProperty(example = "版本号")
    private String versionNum;

    @ApiModelProperty(example = "是否强制更新(0：否，1：是)")
    private String forceUpdate;
}
