package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Title: DeviceVideoDto
 * @Author: liy
 * @Date: 2022/10/17 16:28
 * @Description:
 * @Version:1.0
 */
@Data
public class DeviceVideoConfigDto {
    @ApiModelProperty(example = "视频id")
    private Integer videoId;

    @ApiModelProperty(example = "设备imei号")
    private String imei;

    @ApiModelProperty(example = "用户Id")
    private String userId;

    @ApiModelProperty(example = "视频类型（1.菊风，2.声网，3.佰锐，4.鹈鹕）")
    private String videoType;

    @ApiModelProperty(example = "分辨率")
    private String displayResolution;

    @ApiModelProperty(example = "单次通话时长 / 秒")
    private Integer oneCallTime;

    @ApiModelProperty(example = "通话间隔 / 秒")
    private Integer callInterval;

    @ApiModelProperty(example = "限制的总视频时长 (在累计间隔时间内达到限制总视频时长的就限制)")
    private Integer allCallTime;

    @ApiModelProperty(example = "分辨率的宽")
    private Integer width;

    @ApiModelProperty(example = "分辨率的高")
    private Integer height;

    @ApiModelProperty(example = "appKey")
    private String appKey;

    @ApiModelProperty(example = "手表登陆的视频id")
    private String deviceUserName;

    @ApiModelProperty(example = "手表获取的视频通话记录id")
    private String deviceVideoId;
}
