package com.ecell.internationalize.app.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频通话记录
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
@Data
public class DeviceVideoRecordQuery implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "设备名称")
    private String name;


    @ApiModelProperty(example = "requestType为 downVideoCallWithWatch 就是APP打给手表，如果 requestType为upVideoCallWithAPP就是手表打给APP ")
    private String requestType;

    @ApiModelProperty(example = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}
