package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Title: RemindMessageDto
 * @Author: liy
 * @Date: 2022/10/17 14:34
 * @Description:
 * @Version:1.0
 */
@Data
public class RemindMessageDto {
    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "类型")
    private String type;

    @ApiModelProperty(example = "是否已读（0.未读，1.已读)")
    private String messageRead;

    @ApiModelProperty(example = "创建时间")
    private Date createTime;

    @ApiModelProperty(example = "提醒类型（1：安全围栏，2：低电信息，3：sos）")
    private  String remindType;

//    @ApiModelProperty(example = "设备拥有者名字")
//    private  String name;
//
//    @ApiModelProperty(example = "性别")
//    private  String sex;

}
