package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-10-11
 */
@Data
public class SaveSafetyRailApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "安全区域名字")
    private String name;

    @ApiModelProperty(example = "经度")
    private String lon;

    @ApiModelProperty(example = "纬度")
    private String lat;

    @ApiModelProperty(example = "安全区域半径")
    private Integer radius;

    @ApiModelProperty(example = "安全区域地址")
    private String address;

    @ApiModelProperty(example = "重复星期数")
    private String week;

    @ApiModelProperty(example = "开始时间, 24小时制, eg: '08:00'")
    private String startTime;

    @ApiModelProperty(example = "结束时间, 24小时制, eg: '08:00'")
    private String endTime;

    @ApiModelProperty(example = "设备imei")
    private String imei;

}
