package com.ecell.internationalize.app.kafka;

import lombok.extern.slf4j.Slf4j;
import org.apache.kafka.clients.consumer.ConsumerRecord;

/**
 * @Title: ConsumerTask
 * @Author: liy
 * @Date: 2022/9/2 14:54
 * @Description:
 * @Version:1.0
 */
@Slf4j
public class ConsumerTask implements Runnable{
    private final ConsumerRecord<String, String> taskRecord;
    public ConsumerTask(ConsumerRecord<String, String> record) {
        this.taskRecord = record;
    }
    @Override
    public void run() {
        log.info("topic:{},body:{},offset:{},消费的线程Id:{}",taskRecord.topic(),taskRecord.value(),taskRecord.offset(),Thread.currentThread().getId());
    }
}
