package com.ecell.internationalize.app.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ecell.internationalize.app.entity.TrackInfoApp;
import com.ecell.internationalize.app.entity.dto.TrackInfoDto;
import com.ecell.internationalize.app.entity.po.TrackInfoAppPO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 轨迹表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
public interface TrackInfoAppMapper extends BaseMapper<TrackInfoApp> {
    /**
     * 根据imei查询轨迹信息
     * @param dto
     * @return
     */
    List<TrackInfoApp> queryTrackInfoByImei(@Param("dto") TrackInfoDto dto);

    List<TrackInfoAppPO> queryListByImei(@Param("imei") String imei, @Param("startDate")Date startDate, @Param("endDate")Date endDate);

    List<TrackInfoApp> queryTrackListByImei(@Param("imei")String imei);

    int deleteTrackInfoByDate(@Param("imei")String imei,@Param("date")String date);
}
