package com.ecell.internationalize.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ecell.internationalize.app.entity.dto.UserDeviceBindDto;
import com.ecell.internationalize.common.system.entity.UserDeviceBindApp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户设备绑定表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-08-17
 */
public interface UserDeviceBindAppMapper extends BaseMapper<UserDeviceBindApp> {

    List<UserDeviceBindDto> queryByUserId(@Param("userId") String userId);
}
