package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.AddressBookApp;
import com.ecell.internationalize.app.entity.dto.SaveAddressBookAppDto;
import com.ecell.internationalize.app.entity.dto.UpdateAddressBookAppDto;
import com.ecell.internationalize.app.entity.dto.UpdateSetAdminDto;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-18
 */
public interface AddressBookAppService extends IService<AddressBookApp> {

    List<AddressBookApp> queryAddress(String imei);

    Boolean insertData(List<SaveAddressBookAppDto> addressBookAppList);

    int updateData(UpdateAddressBookAppDto addressBookApp);

    void sendToKafka(String imei);

    int updateSetAdmin(UpdateSetAdminDto addressBookApp, String lang);
}
