package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.DeviceAttentionApp;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-22
 */
public interface DeviceAttentionAppService extends IService<DeviceAttentionApp> {
    /**
     * 查询申请关注消息信息
     * @param
     * @param userId
     * @return
     */
    IPage queryFollowInfo(String userId, int pageSize, int pageNumber);

    /**
     * 查询未读信息条数
     * @return
     */
    int queryUnreadCount();

    /**
     * 更新申请人信息状态
     * @param id
     * @return
     */
    boolean updateStatus(String id,String status);
}
