package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.DeviceLocationApp;
import com.ecell.internationalize.app.entity.po.PositionModelInfoPO;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-05
 */
public interface DeviceLocationAppService extends IService<DeviceLocationApp> {

  //  DeviceLocationApp getDeviceLocation(String imei);

   // void distributionIssued(String minute,String imei);

    /**
     * 根据imei查询定位模式信息
     * @param imei
     * @return
     */
    PositionModelInfoPO getDevicePosition(String imei);

    /**
     * 更新定位模型信息
     * @param number
     * @param imei
     * @return
     */
    boolean updatePosition(String number, String imei);
}
