package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.UserVo;
import com.ecell.internationalize.app.entity.dto.UpdateUserDto;
import com.ecell.internationalize.app.entity.dto.UserDto;
import com.ecell.internationalize.common.system.entity.User;

import java.util.Map;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author liy
 * @since 2022-08-16
 */
public interface UserService extends IService<User> {
    /**
     * 新增
     * @Title: UserService
     * @Author: liy
     * @Date: 2022/8/17 15:03
     * @return int
     * @param userDto
     */
    int insertUser(UserDto userDto);
    /**
     * token生成
     * @Title: UserService
     * @Author: liy
     * @Date: 2022/8/17 15:03
     * @return int
     * @param user
     */
    Map<String, Object> createToken(User user,String osName,String deviceToken,String packages,String version);

   // UserVo queryUser(String userId, String imei);
   UserVo queryUser(String userId, String imei);
   // int updateData(UpdateUserDto user);
    User updateData(UpdateUserDto user);

    void getSystemToken(String type, String token);
}
