package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.NotifyApp;
import com.ecell.internationalize.app.mapper.NotifyAppMapper;
import com.ecell.internationalize.app.service.NotifyAppService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 通知表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-29
 */
@Service
public class NotifyAppServiceImpl extends ServiceImpl<NotifyAppMapper, NotifyApp> implements NotifyAppService {
    @Autowired
    private NotifyAppMapper notifyAppMapper;
    @Override
    public IPage<NotifyApp> queryNotify(Integer current, Integer pageSize) {
        String userId= SecurityContextHolder.getStringUserId();
        Page<NotifyApp> page=new Page<>(current,pageSize);
        return notifyAppMapper.queryNotify(page,userId);
    }
}
