package com.ecell.internationalize.auth;
import com.ecell.internationalize.common.security.utils.SecurityUtils;
import com.ecell.internationalize.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author borui
 */

@EnableFeignClients
@EnableCustomSwagger2
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class },scanBasePackages = {"com.ecell.internationalize"})
public class EcellAuthApplication {
    public static void main(String[] args)
    {
         SpringApplication.run(EcellAuthApplication.class, args);
//        System.out.println("获取到的加密密码是"+ SecurityUtils.encryptPassword("123456"));
        System.out.println("(♥◠‿◠)ﾉﾞ  易赛国际化认证授权中心启动成功   ლ(´ڡ`ლ)ﾞ  \n");
    }
}
