package com.ecell.internationalize.common.system.fallback;

import com.ecell.internationalize.common.core.exception.ServiceException;
import com.ecell.internationalize.common.system.entity.SysOperateInfo;
import com.ecell.internationalize.common.system.feign.SysOperatorInfoFeignClient;
import org.springframework.stereotype.Component;

/**
 * @author borui
 */
@Component
public class SysOperatorInfoFeignClientFallBack implements SysOperatorInfoFeignClient {
    @Override
    public void save(SysOperateInfo sysOperateInfo) {
        throw new ServiceException("服务不存在或者端口错误");
    }
}
