package com.ecell.internationalize.common.system.feign;

import com.ecell.internationalize.common.system.entity.SysOperateInfo;
import com.ecell.internationalize.common.system.fallback.SysOperatorInfoFeignClientFallBack;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author borui
 */
@FeignClient(value = "ecell-internationalize-security",fallback = SysOperatorInfoFeignClientFallBack.class)
public interface SysOperatorInfoFeignClient  {
    /**
     * 新增操作日志信息
     * @param sysOperateInfo 实体对象
     * @return 结果
     */
    @PostMapping("sys_user/operator/save")
    void save(@RequestBody SysOperateInfo sysOperateInfo);
}
