package com.ecell.internationalize.common.system.utlis;

import org.bouncycastle.jce.provider.BouncyCastleProvider;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.security.Security;
import java.util.Base64;

/**
 * @author borui
 */
public class AesUtil {
    private static final Logger log = LoggerFactory.getLogger(AesUtil.class);
    private static final String SECRET_KEY="89b13fsdfa7cf5db1XXXX759a2bc89d2";
    private static final String VECTOR_FACTOR="ecellapp12345678";
    static {
        try {
            Security.addProvider(new BouncyCastleProvider());
        } catch (Exception e) {
            log.info("出始化出错:{}",e.getMessage());
        }

    }

    public  static String encrypt(String src){
        String s=null;
        try {
            byte[] bytes = SECRET_KEY.getBytes();
            SecretKeySpec secretKeySpec = new SecretKeySpec(bytes, "AES");
            Cipher cipher = Cipher.getInstance("AES/CBC/PKCS7Padding");
            IvParameterSpec ips=new IvParameterSpec(VECTOR_FACTOR.getBytes());
            cipher.init(Cipher.ENCRYPT_MODE,secretKeySpec,ips);
            byte[] bytes1 = cipher.doFinal(src.getBytes());
            byte[] encode = Base64.getEncoder().encode(bytes1);
            String s1=new String(encode);
            s=String.copyValueOf(s1.toCharArray(),0,encode.length);

        } catch (Exception e) {
            log.info("encrypt:{}",e.getMessage());

        }
        return s;


    }

    public static String decrypt(String s){
        String s1=null;
        try {
            byte[] bytes = SECRET_KEY.getBytes();
            SecretKeySpec secretKeySpec = new SecretKeySpec(bytes, "AES");
            Cipher cipher = Cipher.getInstance("AES/CBC/PKCS7Padding");
            IvParameterSpec ips=new IvParameterSpec(VECTOR_FACTOR.getBytes());
            cipher.init(Cipher.DECRYPT_MODE,secretKeySpec,ips);
            byte[] decode = Base64.getDecoder().decode(s.getBytes());
            byte[] bytes1 = cipher.doFinal(decode);
            s1=new String(bytes1);

        } catch (Exception e) {
            log.info("decrypt:{}",e.getMessage());

        }
        return s1;
    }

}
