package com.ecell.internationalize.common.core.exception.auth;

import org.apache.commons.lang3.StringUtils;

/**
 * @author borui
 */
public class NotPermissionException extends RuntimeException{
    private static final long serialVersionUID = 1L;

    public NotPermissionException(String permission)
    {
        super(permission);
    }

    public NotPermissionException(String[] permissions)
    {
        super(StringUtils.join(permissions, ","));
    }
}
