package com.ecell.internationalize.common.issue.callback;

import com.ecell.internationalize.common.issue.mqtt.AppSingleMqttClient;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author borui
 */
public class CustomMessageCallback implements MqttCallback {
    private static final Logger logger = LoggerFactory.getLogger(CustomMessageCallback.class);
    @Override
    public void connectionLost(Throwable throwable) {
        logger.info("进行重新连接");
        AppSingleMqttClient.reconnection();
    }

    @Override
    public void messageArrived(String s, MqttMessage mqttMessage) throws Exception {

    }

    @Override
    public void deliveryComplete(IMqttDeliveryToken iMqttDeliveryToken) {

    }
}
