package com.ecell.internationalize.common.issue.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author borui
 */
public class CommonConstant {
    public  static final String AUDIT_STATUS_ZERO="0";
    public  static final String AUDIT_STATUS_ONE="1";
    public  static final String AUDIT_STATUS_TWO="2";
    public  static final String AUDIT_STATUS_THREE="3";
    public  static final String AUDIT_STATUS_FOUR="4";
    public  static final String AUDIT_STATUS_FIVE="5";
    public  static final Integer AUDIT_STATUS_AND=240;
    public  static final int NUMBER_ZERO=0;
    public  static final int NUMBER_ONE=1;
    public  static final int NUMBER_TWO=2;
    public  static final int NUMBER_THREE=3;
    public  static final int NUMBER_FOUR=4;
    public  static final int NUMBER_FIVE=5;
    public  static final int PRE_NUMBER_FOUR=-4;
    public  static final int PRE_NUMBER_FIVE=-5;
    public static final String BINDING_STATUS="binding_status";
    public static final String ADMIN_EMAIL="admin_email";
    public static final String ADMIN_PHONE="admin_phone";
    public static final String DEVICE_TYPE="device_type";

    public static final String PHONE="phone";

    public static final String MESSAGE_CODE="code";
    public static final String MESSAGE_INFO_SIX="666";
    public static final String MESSAGE_INFO_TWO="200";

    public static final String SOUND="default";
    public static final String ANDROID="Android";
    public static final String IOS="iOS";
    public static final String CN="CN";
    public static final String US="US";

    /**type常量**/
    public static final String LOCATION_TYPE="location";
    public static final String TYPE="type";
    public static final  String IOS_PUSH_KAFKA="jianyou_tongxin_PUSH";

    /**TCP-TOPIC*/
    public static final String WATCHPUSH_KAFKA="jianyou_tongxin_WatchPUSH_Kafka";
    /** 视频类型为声网*/
    public static final String VIDEO_TYPE_TWO="SW";
    /** 视频类型为菊风*/
    public static final String VIDEO_TYPE_ONE="JF";
    /** 视频类型为佰锐*/
    public static final String VIDEO_TYPE_THREE="BR";
    /** 视频类型为鹈鹕*/
    public static final String VIDEO_TYPE_FOUR="TH";
    /** 视频类型不支持*/
    public static final String VIDEO_TYPE_ZERO="0";

    public static final int VIDEO_RESULT_PRE_ONE=-1;
    public static final int VIDEO_RESULT_PRE_TWO=-2;
    public static final int VIDEO_RESULT_PRE_THREE=-3;
    public  static final Map<String,String> VIDEO_TYPE_MAP = new HashMap<>();
    static {
        VIDEO_TYPE_MAP.put("0", "0");
        VIDEO_TYPE_MAP.put("1", "JF");
        VIDEO_TYPE_MAP.put("2", "SW");
        VIDEO_TYPE_MAP.put("3", "BR");
        VIDEO_TYPE_MAP.put("4", "TH");
    }
    public static final String DOWN_VIDEO_CALL_WITH_WATCH="downVideoCallWithWatch";
    public static final String UP_VIDEO_CALL_WITH_APP="upVideoCallWithAPP";
    /** 分辨率 宽 * 高 */
    public static final String DISPLAY_RESOLUTION="120*160";

    /** 单次通话时长/秒 手表小热的等待时间(秒)*/
    public static final Integer ONE_CALL_TIME=15*60;

    /** 等待时长*/
    public static final Integer WAIT_TIME=60;

    /** 通话间隔/秒 菊风视频的不启用限制的 间隔总分钟数 (超过该分钟数就不启用限制,并清除之前的限制)(秒)*/
    public static final Integer CALL_INTERVAL=3*60;

    /**总视频时长/秒 菊风视频的启用限制的 视频通话总分钟数 最近视频通话累计时间 /秒 默认*/
    public static final Integer ALL_CALL_TIME=10*60;
    /** 菊风视频Key */
    public static final String JF_VIDEO_KEY = "28012fd8eee097ab30ca5096";
    /** 鹈鹕视频Key */
    public static final String TH_VIDEO_KEY = "UkM4Q8mk3BeKEtbt";
    /** 佰锐视频Key */
    public static final String BR_VIDEO_KEY = "A3BEE84E-9C7A-D848-85D3-90F233D9A022";
    /** 声网视频Key*/
    public static final String SW_VIDEO_KEY = "f692ba8aa8b941afa9421d10a5f7b929";
    public static final String SW_CUSTOMER_ID = "去声网申请";
    public static final String SW_CUSTOMER_CERTIFICATE = "去声网申请";
    public  static final Map<String,String> VIDEO_APP_KEY_MAP = new HashMap<>();
    static {
        VIDEO_APP_KEY_MAP.put("0", "不支持");
        VIDEO_APP_KEY_MAP.put("1", JF_VIDEO_KEY);
        VIDEO_APP_KEY_MAP.put("2", SW_VIDEO_KEY);
        VIDEO_APP_KEY_MAP.put("3", BR_VIDEO_KEY);
        VIDEO_APP_KEY_MAP.put("4", TH_VIDEO_KEY);
    }


    /** Ios的token */
    public static final String DEVICE_TOKEN="deviceToken";
    /** Ios的package */
    public static final String IOS_PACKAGE="iosPackage";
    /** Ios的version */
    public static final String IOS_VERSION="iosVersion";
    /** Ios 语言 */
    public static final String IOS_LANGUAGE="iosLanguage";
    /** 消息推送区分Android / iOS*/
    public static final String USER_AGENT="userAgent";
    /** 系统推送区分Android具体型号*/
    public static final String ANDROID_AGENT="AndroidAgent:";
    public static final String VIDEO_CALL ="message.video.call" ;
    public static final String INVITE_CALL ="message.invite.call" ;
    public static final String TRIGGER_SOS = "message.trigger.sos";
    public static final String ALARM_SOS = "message.alarm.sos";

    public static final String HEART_RATE_ABNORMAL = "heart.rate.abnormal";
    public static final String PRE_MIN = "pre.min";
    public static final String HEART_RATE_CURRENT = "heart.rate.current";

    public static final String TEMP_ABNORMAL = "temp.abnormal";
    public static final String TEMP_CURRENT = "temp.current";

    public static final String HEART_SIMPLE_ABNORMAL = "heart.simple.abnormal";
    public static final String TEMP_SIMPLE= "temp.simple";
    public static final String CHANT_VIDEO="message.chant.video";
    public static final String ACCEPT_CHANT_VIDEO="accept.chant.video";

    public static final String USER_UNBIND_DEVICE="user.unbind.device";
    public static final String DOWN_VIDEO_CALL="down.video.call";
    public static final String ENTER_RAIL="enter.rail";
    public static final String LEAVE_RAIL="leave.rail";
    public static final String CALL_FOLLOW="call.follow";

    public static final String PRE_IDENTITY_TRANSFER="pre.identity.transer";
    public static final String AFTER_IDENTITY_TRANSFER="after.identity.transer";

    public static final String ACCEPT_IDENTITY_TRANSFER="accept.identity.transer";

    public static final String ADDRESS_BOOK_MAX="message.addressBook.max";

    public static final String EXIT_LIST_VIDEO_CALL = "exit.list.video.call";
    public static final String CAN_NOT_VIDEO_CALL = "cannot.video.call";
    public static final String DISABLED_VIDEO_CALL = "disabled.video.call";
    public static final String NOT_INTERNET_VIDEO_CALL = "not.internet.video.call";
    public static final String LONG_TIME_VIDEO_CALL = "long.time.video.call";
    public static final String PROCESS_VIDEO_CALL = "process.video.call";

    public static final String PHONE_HAS_EXIT="phone.has.exit";
}
