package com.ecell.internationalize.common.issue.util;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

@Component
public class ApplicationUtil implements ApplicationContextAware {
    private static volatile ApplicationContext applicationContext;
    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        ApplicationUtil.applicationContext=applicationContext;
    }

    public static ApplicationContext getApplicationContext(){
        if (applicationContext==null){
            throw new IllegalStateException("ApplicationContext has not been initialized.");
        }
        return  applicationContext;
    }
}
