package com.ecell.internationalize.gateway.constant;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author borui
 */
public class RateLimitInfo implements Serializable {
    private static final long serialVersionUID=1L;
    @ApiModelProperty(example = "APPID")
    private Integer appId;

    @ApiModelProperty(example = "APPKEY")
    private String appKey;

    @ApiModelProperty(example = "状态(0：禁用 , 1:启用)")
    private String status;

    @ApiModelProperty(example = "厂商Id")
    private String firmId;

    @ApiModelProperty(example = "标识(1:厂商：2：代理商)")
    private String firmFlag;

    @ApiModelProperty(example = "代理商Id")
    private String secondFirmId;

    @ApiModelProperty(example = "发起请求秒数(如一分钟多少次,单位为秒)")
    private Integer second;

    @ApiModelProperty(example = "发起请求次数(如多少分钟100次)")
    private Integer frequency;

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFirmId() {
        return firmId;
    }

    public void setFirmId(String firmId) {
        this.firmId = firmId;
    }

    public String getFirmFlag() {
        return firmFlag;
    }

    public void setFirmFlag(String firmFlag) {
        this.firmFlag = firmFlag;
    }

    public String getSecondFirmId() {
        return secondFirmId;
    }

    public void setSecondFirmId(String secondFirmId) {
        this.secondFirmId = secondFirmId;
    }

    public Integer getSecond() {
        return second;
    }

    public void setSecond(Integer second) {
        this.second = second;
    }

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }
}
