package com.ecell.internationalize.gateway.service;

import com.ecell.internationalize.common.core.exception.CaptchaException;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;

import java.io.IOException;

/**
 * @author borui
 */
public interface ValidateCodeService {
    /**
     * 生成验证码
     */
    public AjaxResult createCaptcha() throws IOException, CaptchaException;

    /**
     * 校验验证码
     */
    public void checkCaptcha(String key, String value) throws CaptchaException;
}
