package com.ecell.internationalize.system.security;

import com.ecell.internationalize.common.security.annotation.EnableCustomConfig;
import com.ecell.internationalize.common.security.annotation.EnableRyFeignClients;
import com.ecell.internationalize.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @author borui
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@MapperScan("com.ecell.internationalize.**.mapper")
@SpringBootApplication(scanBasePackages = {"com.ecell.internationalize"})
public class EcellSecurityApplication {
    public static void main(String[] args) {
        SpringApplication.run(EcellSecurityApplication.class, args);
        System.out.println("易赛国际化系统用户服务启动成功");
    }
}
