package com.ecell.internationalize.system.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.common.system.entity.SysOperateInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户操作记录 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-18
 */
public interface SysOperateInfoMapper extends BaseMapper<SysOperateInfo> {
    /**
     * 用户操作记录条件分页查询
     * @Author liy
     * @Date 2022/7/11 11:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<SysOperateInfo> getList(@Param("page") Page<SysOperateInfo> page, @Param("map") Map<String, Object> map);
    /**
     * 查询模块名称
     * @Author liy
     * @Date 2022/7/20 16:42
     * @return List
     */
    List<String> queryModuleName();
}
