package com.ecell.internationalize.system.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ecell.internationalize.common.system.entity.SysRoleMenu;

import java.util.List;

/**
 * <p>
 * 角色和菜单关联 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-18
 */
public interface SysRoleMenuMapper extends BaseMapper<SysRoleMenu> {
    /**
     * 批量新增角色菜单信息
     *
     * @param roleMenuList 角色菜单列表
     * @return 结果
     */
     int batchRoleMenu(List<SysRoleMenu> roleMenuList);
    /**
     * 通过角色ID删除角色和菜单关联
     *
     * @param roleId 角色ID
     * @return 结果
     */
     int deleteRoleMenuByRoleId(String roleId);
}
