package com.ecell.internationalize.system;

import com.ecell.internationalize.common.security.annotation.EnableCustomConfig;
import com.ecell.internationalize.common.security.annotation.EnableRyFeignClients;
import com.ecell.internationalize.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author borui
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@EnableScheduling
@SpringBootApplication(scanBasePackages = {"com.ecell.internationalize","com.ecell.internationalize.common.issue"})
public class EcellSystemApplication {
    public static void main(String[] args) {
        SpringApplication.run(EcellSystemApplication.class, args);
        System.out.println("易赛国际化后台服务管理系统启动成功");

    }
}
