package com.ecell.internationalize.system.constant;

public enum DeviceModelEnum {

    LOCATION_FUN_ONE("1","基站"), LOCATION_FUN_TWO("2","基站+wifi"), LOCATION_FUN_THREE("3","基站+GPS"), LOCATION_FUN_FOUR("4","基站+wiff+GPS"),
    DEVICE_TYPE_ZERO("0","默认"),DEVICE_TYPE_ONE("1","手表"),DEVICE_TYPE_TWO("2","学生卡"),DEVICE_TYPE_THREE("3","老人机");
   private String code;
   private String type;


    DeviceModelEnum(String code,String type){
        this.code =code;
        this.type=type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static String getDeviceType(int code){
        String ty="";
        switch (code) {
            case 0:
                return ty=DEVICE_TYPE_ZERO.type;

            case 1:
                return ty=DEVICE_TYPE_ONE.type;
            case 2:
                return ty=DEVICE_TYPE_TWO.type;
            case 3:
                return ty=DEVICE_TYPE_THREE.type;
            default:break;
        }
        return ty;
    }

    public static String getLocationFunString(int code){
        String ty="";
        switch (code) {
            case 1:
                return ty=LOCATION_FUN_ONE.type;

            case 2:
                return ty=LOCATION_FUN_TWO.type;
            case 3:
                return ty=LOCATION_FUN_THREE.type;
            case 4:
                return ty=LOCATION_FUN_FOUR.type;
            default:break;
        }
        return ty;
    }

//    public static void main(String[] args) {
//        System.out.println(DeviceModelEnum.getLocationFunString(4));
//    }
}
