package com.ecell.internationalize.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceFamilyInfo对象", description="")
public class DeviceFamilyInfo implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String deviceFamilyId;

    @ApiModelProperty(value = "设备id")
    private String deviceId;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "设备手机号")
    private String devicePhone;

    @ApiModelProperty(value = "管理员手机号码")
    private String adminPhone;

    @ApiModelProperty(value = "管理员昵称")
    private String adminName;

    @ApiModelProperty(value = "家庭成员(昵称+手机号，多个用逗号分割)")
    private String familyMember;

    @ApiModelProperty(value = "设备使用中的用户id")
    private String userId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;


}
