package com.ecell.internationalize.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author ${author}
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceUserInfo对象", description="")
public class DeviceUserInfo implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String deviceUserId;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "sex性别")
    private String sex;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "设备头像url")
    private String url;

    @ApiModelProperty(value = "用户手机号码")
    private String devicePhone;

    @ApiModelProperty(value = "位置")
    private String addr;

    @ApiModelProperty(value = "(0.是离线，1.是在线)")
    private String status;

    @ApiModelProperty(value = "今日步数")
    private Integer recentSteps;

    @ApiModelProperty(value = "手表电量")
    private String battery;

    @ApiModelProperty(value = "厂商名称")
    private String firmName;

    @ApiModelProperty(value = "厂商id")
    private String firmId;

    @ApiModelProperty(value = "型号名称")
    private String deviceModelName;

    @ApiModelProperty(value = "设备型号id")
    private String deviceModelId;

    @ApiModelProperty(value = "导入系统时间")
    private Date importTime;

    @ApiModelProperty(value = "首次登录系统时间")
    private Date firstLoginTime;

    @ApiModelProperty(value = "最后一次登录时间")
    private Date lastLoginTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;


}
