package com.ecell.internationalize.system.entity.api;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 定时开关机
 * </p>
 *
 * @author ${author}
 * @since 2022-09-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceTimeSwitchApp对象", description="定时开关机")
public class DeviceTimeSwitchApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id",hidden = true)
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "开机时间")
    private String startTime;

    @ApiModelProperty(example = "关机时间")
    private String endTime;

    @ApiModelProperty(example = "功能是否启用 : 0:关闭, 1:打开")
    private String status;

    @ApiModelProperty(example = "创建人",hidden = true)
    private String createUser;

    @ApiModelProperty(example = "创建时间",hidden = true)
    @TableField(value = "update_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(example = "修改人",hidden = true)
    private String updateUser;

    @ApiModelProperty(example = "修改时间",hidden = true)
    private Date updateTime;


}
