package com.ecell.internationalize.system.entity.api.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 设备步数
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Data
public class ApiDeviceInfo {

private static final long serialVersionUID=1L;
    /**
     * 日期
     */
    @ApiModelProperty(example = "日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 手机号
     */
    @ApiModelProperty(example = "手机号")
    private String phone;

    /**
     * 姓名
     */
    @ApiModelProperty(example = "姓名")
    private String name;


    /**
     * 手机号
     */
    @ApiModelProperty(example = "身份")
    private String identity;

}
