package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 检查版本更新表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-27
 */
@Data
public class CheckVersionDto implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "当前页")
    private Integer current;

    @ApiModelProperty(example = "每页显示多少条")
    private Integer pageSize;

    @ApiModelProperty(example = "APP包名称")
    private String appPackage;

    @ApiModelProperty(example = "apk名称")
    private String apkName;
}
