package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="DeviceModlDTO对象", description="查询设备型号条件对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeviceModelPageDTO {
    @ApiModelProperty("设备型号名称 ")
    private String deviceModelName;
    @ApiModelProperty("厂商ID")
    private String firmId;
    @ApiModelProperty("厂商类型")
    private String firmFlag;
    @ApiModelProperty(value = "厂商名称")
    private String firmName;

    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;

}
