package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@ApiModel(value="DevicePageDTO对象", description="设备分页查询对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DevicePageDTO {

    @ApiModelProperty(value = "录入批次")
    private String inputBatch;

    @ApiModelProperty(value = "imei")
    private String imei;

    @ApiModelProperty(value = "审核状态（0.是拒绝，1.是待审核,2.是通过，默认为1）")
    private String status;

    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;
}
