package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="ImeiLogPageDTO对象", description="设备录入日志分页查询对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ImeiLogPageDTO {

    @ApiModelProperty(value = "登录账号")
    private String loginAccount;

    @ApiModelProperty(value = "用户角色")
    private String userRole;

    @ApiModelProperty(value = "用户ip地址")
    private String ip;

    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;
}
