package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="DeviceActivaVO对象", description="设备激活情况返回信息对象")
public class DeviceActivaVO implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "生产批次")
    private String inputBatch;

    @ApiModelProperty(value = "渠道商")
    private String firmName;

    @ApiModelProperty(value = "已录入设备数量")
    private Integer inputDevice;

    @ApiModelProperty(value = "激活设备数量")
    private Integer activateDevice;

    @ApiModelProperty(value = "已绑定设备数量")
    private Integer whetherBinding;

    @ApiModelProperty(value = "激活比例")
    private String activationRatio;

    @ApiModelProperty(value = "是否电信版(0，否 1.是)")
    private String dial;

    @ApiModelProperty(value = "导入日期")
    private Date importTime;


}
