package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author borui
 */
@Data
@ApiModel(value="DeviceUserInfoVO对象", description="设备家庭信息")
public class DeviceUserInfoVO {
    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "sex性别")
    private String sex;

    @ApiModelProperty(value = "设备头像url")
    private String url;

    @ApiModelProperty(value = "设备手机号码")
    private String phone;

    @ApiModelProperty(value = "管理员昵称")
    private String adminName;

    @ApiModelProperty(value = "管理员电话")
    private String adminPhone;

    @ApiModelProperty(value = "管理员头像")
    private Integer adminUrl;

    @ApiModelProperty(value = "成员信息")
    private List<MemberInfoVO> memberInfoVOS;
}
