package com.ecell.internationalize.system.mapper;


import com.ecell.internationalize.system.entity.DeviceModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 设备型号信息
 */
@Deprecated
public interface DeviceModelMapper {
    /**
     * 新增设备型号
     *
     * @param model
     * @return
     */
    int insertDeviceModel(DeviceModel model);

    /**
     * 校验同一厂商，设备类型名称是否唯一
     */
    DeviceModel checkModelNameUnique(@Param("firmId") String firmId, @Param("modelName") String modelName);

    /**
     * 根据条件分页查询设备型号
     *
     * @param model
     * @return
     */
    List<DeviceModel> selectModelLists(DeviceModel model);

    /**
     * 更新设备型号管理信息
     * @param model
     * @return
     */
    int updateDeviceModel(DeviceModel model);

    /**
     * 删除设备型号
     * @param id
     * @return
     */
    int deleteDeviceModelById(@Param("id")String id);
}
