package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.DevicePosition;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 设备定位（签到） Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface DevicePositionMapper extends BaseMapper<DevicePosition> {
    /**
     * 步数签到分页查询
     * @Author liy
     * @Date 2022/7/11 15:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<DevicePosition> getList(@Param("page") Page<DevicePosition> page, @Param("map") Map<String, Object> map);
}
