package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.ReminderMessageApp;
import com.ecell.internationalize.system.entity.dto.ReminderMessageAppDto;
import com.ecell.internationalize.system.entity.dto.ReminderMessageQueryDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 提醒消息表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
public interface ReminderMessageAppMapper extends BaseMapper<ReminderMessageApp> {
    /**
     * 报警分页查询
     * @Author liy
     * @Date 2022/7/12 15:42
     * @param page 分页
     * @return Page
     */
    Page<ReminderMessageQueryDto> getList(@Param("page") Page<ReminderMessageQueryDto> page, @Param("reminderMessageAppDto") ReminderMessageAppDto reminderMessageAppDto, @Param("iMeiList") List<String> iMeiList);
}
