package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.ActivityBanner;

import java.util.Map;

/**
 * <p>
 * 活动banner图 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
public interface ActivityBannerService extends IService<ActivityBanner> {
    /**
     * 活动Banner分页查询
     * @Author liy
     * @Date 2022/7/14 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<ActivityBanner> findAllByPage(Map<String,Object> map);
}
