package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.ActivitySearch;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
public interface ActivitySearchService extends IService<ActivitySearch> {

    /**
     * 热门搜索分页列表
     * @Author liy
     * @Date 2022/7/14 11:42
     * @param page 分页
     * @return IPage
     */
    IPage<ActivitySearch> findAllByPage(Page<ActivitySearch> page);
}
