package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.DeviceModelInfo;
import com.ecell.internationalize.system.entity.dto.DeviceModelPageDTO;
import com.ecell.internationalize.system.entity.vo.DeviceModelVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备型号管理信息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-09
 */
public interface DeviceModelInfoService extends IService<DeviceModelInfo> {

    String checkModelNameUnique(DeviceModelInfo model);

    IPage<DeviceModelVO> findListByPage(DeviceModelPageDTO dto);

    boolean deltaById(String id);

    List<Map<String,String>> queryModelNameByFirmId(String id,String type);

    boolean updatePositionIdByModelId(String mId, String pId);

    DeviceModelInfo queryById(String id);

}
