package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.DevicePosition;

import java.util.Map;

/**
 * <p>
 * 设备定位（签到） 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface DevicePositionService extends IService<DevicePosition> {
    /**
     * 设备签到条件分页查询
     * @Author liy
     * @Date 2022/7/12 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<DevicePosition> findAllByPage(Map<String, Object> map);
}
