package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.MessageContent;

import java.util.Map;

/**
 * <p>
 * 消息内容 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
public interface MessageContentService extends IService<MessageContent> {
    /**
     * 消息内容条件分页查询
     * @Author liy
     * @Date 2022/7/13 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<MessageContent> findAllByPage(Map<String, Object> map);
}
