package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.ReminderMessageApp;
import com.ecell.internationalize.system.entity.dto.ReminderMessageAppDto;
import com.ecell.internationalize.system.entity.dto.ReminderMessageQueryDto;

/**
 * <p>
 * 提醒消息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
public interface ReminderMessageAppService extends IService<ReminderMessageApp> {
    /**
     * 设备报警条件分页查询
     * @Author liy
     * @Date 2022/7/12 10:42
     * @return IPage
     */
    IPage<ReminderMessageQueryDto> findAllByPage(ReminderMessageAppDto reminderMessageAppDto);
}
