package com.ecell.internationalize.app.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

@Configuration
@RefreshScope
@ConfigurationProperties(prefix = "app.ignore")
public class IgnorePathProperties {
    /**
     * 放行白名单配置，拦截器不校验此处的白名单
     */
    private List<String> path= new ArrayList<>();

    public List<String> getPath()
    {
        return path;
    }

    public void setPath(List<String> whites)
    {
        this.path = whites;
    }
}
