package com.ecell.internationalize.app.config;

import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpRequest;
import org.springframework.http.client.ClientHttpRequestExecution;
import org.springframework.http.client.ClientHttpRequestInterceptor;
import org.springframework.http.client.ClientHttpResponse;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.Base64;


/**
 * @author borui
 */
@Component
public class RestTemplateInterceptor implements ClientHttpRequestInterceptor {

    private static  final  String HEADER_KEY="Authorization";
    /**
     * 客户 ID
     */
    private static final String CUSTOMER_KEY = "0f7a061bba964802b90bbdc64508cc58";
    /**
     * 客户密钥
     */
    private static final String CUSTOMER_SECRET = "e386e5134127461fb37639e34f3b2787";
    private static  String  author_prefix="Basic ";
    @Override
    public ClientHttpResponse intercept(HttpRequest request, byte[] body, ClientHttpRequestExecution execution) throws IOException {
        HttpHeaders headers = request.getHeaders();
        String value=CUSTOMER_KEY+":"+CUSTOMER_SECRET;
        //base64加密
        String base64Credentials = new String(Base64.getEncoder().encode(value.getBytes()));
        String authorizationHeader =author_prefix+base64Credentials;
        headers.add(HEADER_KEY,authorizationHeader);

        return execution.execute(request,body);
    }

}
