package com.ecell.internationalize.app.controller;
import com.ecell.internationalize.app.entity.dto.AppUnbindLogPageDto;
import com.ecell.internationalize.app.service.AppUnbindLogService;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2023-02-23
 */
@RestController
@RequestMapping("/app-unbind-log")
public class AppUnbindLogController {
    @Autowired
    private AppUnbindLogService appUnbindLogService;

    /**
     *
     * @param
     * @return
     */
    @GetMapping("/query/List")
    public AjaxResult queryListByImei(AppUnbindLogPageDto dto){

        return AjaxResult.success(appUnbindLogService.queryListByImei(dto));

    }

}

