package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-09-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BatteryInfoApp对象", description="")
public class BatteryInfoApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "电量百分比")
    private Integer battery;

    @ApiModelProperty(value = "是否低电量（0.否，1.是）")
    private String lowBatteryAlarm;

    @ApiModelProperty(value = "最高电量等级")
    private Integer maxLevel;

    @ApiModelProperty(value = "当前电量等级")
    private Integer currLevel;

    @ApiModelProperty(value = "最后的电量")
    private Integer lastBattery;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "设备imei")
    private String imei;


}
