package com.ecell.internationalize.app.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 检查版本更新表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CheckVersion对象", description="检查版本更新表")
public class CheckVersion implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键Id")
    private String id;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "状态（0：禁用，1正常）")
    private String status;

    @ApiModelProperty(value = "APP包名称")
    private String appPackage;

    @ApiModelProperty(value = "APP url")
    private String appUrl;

    @ApiModelProperty(value = "apk名称")
    private String apkName;

    @ApiModelProperty(value = "是否强制更新(0：否，1：是)")
    private String forceUpdate;

    @ApiModelProperty(value = "版本号")
    private String versionNum;

    @ApiModelProperty(value = "版本说明")
    private String versionExplain;

    @ApiModelProperty(value = "备注")
    private String remark;


}
