package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceAttentionApp对象", description="")
public class DeviceAttentionApp implements Serializable {

private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "管理员ID")
    private String adminId;

    @ApiModelProperty(value = "申请人id")
    private String applyId;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "消息类型")
    private String messagesType;

    @ApiModelProperty(value = "设备拥有者名称")
    private String name;

    @ApiModelProperty(value = "审批状态（1.同意，2.拒绝）")
    private String approvalStatus;

    @ApiModelProperty(value = "管理员手机号码")
    private String phone;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "与孩子的关系")
    private String relationship;

    @ApiModelProperty(value = "申请关注人的头像")
    private String relationshipImageId;

    @ApiModelProperty(value = " 是否已读,0.未读，1.已读")
    private String applyRead;

    @ApiModelProperty(value = "申请关注人手机号")
    private String applyPhone;

    @ApiModelProperty(value = "用户id(这个id,可能是管理员id，也有可能是用户id)")
    private String userId;

}
