package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备步数
 * </p>
 *
 * @author ${author}
 * @since 2022-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceStepDaily对象", description="设备步数")
public class DeviceStepDaily implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = " 腕表今日步数总数")
    private Integer walksNum;

    @ApiModelProperty(example = "腕表今日行走总距离(单位:米)")
    private Integer walksDistance;

    @ApiModelProperty(example = "腕表今日消耗卡路里(单位:小卡)")
    private Integer walksCalorie;

    @ApiModelProperty(example = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty(example = "创建时间")
    private Date updateTime;

    @ApiModelProperty(example = "字符串时间")
    private String stepTime;



}
