package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频通话表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceVideoApp对象", description="视频通话表")
public class DeviceVideoApp implements Serializable {

private static final long serialVersionUID=1L;
    @ApiModelProperty(example = "id")
    private String id;

    @ApiModelProperty(example = "视频id")
    private Integer videoId;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "用户id")
    private String userId;

    @ApiModelProperty(example = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(example = "视频类型(1.菊风，2.声网，3.佰锐，4.鹈鹕)")
    private String videoType;


}
