package com.ecell.internationalize.app.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频通话记录
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceVideoRecordApp对象", description="视频通话记录")
public class DeviceVideoRecordApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "创建人id")
    private String userId;

    @ApiModelProperty(example = "创建时间")
    private Date createTime;

    @ApiModelProperty(example = "是否通话成功（0：失败，1成功）")
    private String status;

    @ApiModelProperty(example = "视频id")
    private String videoId;

    @ApiModelProperty(example = "时长")
    private String duration;

    @ApiModelProperty(example = "时长返回类型（APP/device）")
    private String type;

    @ApiModelProperty(example = "发起视频时间")
    private String startTime;

    @ApiModelProperty(example = "结束时间")
    private String endTime;

    @ApiModelProperty(example = "等待时长")
    private String waitDuration;

    @ApiModelProperty(example = "呼叫类型(0:视频，1：语音)")
    private String callType;
    @ApiModelProperty(example = "视频下发的类型")
    private String requestType;

}
