package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消息类别
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("message_category")
public class MessageCategoryApp {
private static final long serialVersionUID=1L;
    @ApiModelProperty(example = "类别id")
    private String id;
    /**
     * 类别名称
     */
    @ApiModelProperty(example = "分类名称")
    private String categoryName;


    /**
     * 逻辑删除标识
     */
    @ApiModelProperty(hidden = true)
    private String delFlag;



}
