package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author borui
 */
@ApiModel(description = "解绑日志分页")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppUnbindLogPageDto {
    @ApiModelProperty(value = "imei")
    private String imei;

    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;
}
