package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Title: UpdateOwnerInfoDto
 * @Author: liy
 * @Date: 2022/9/23 11:26
 * @Description:
 * @Version:1.0
 */
@Data
public class QueryOwnerInfoDto {
    @ApiModelProperty(example = "设备拥有者名字")
    private String name;

    /**
     * 用户身份（默认0：游客，1：普通用户(申请关注的人),2:管理员）
     */
    @ApiModelProperty(example = "用户身份（0：游客，1：普通用户(申请关注的人),2:管理员）")
    private String identity;

    @ApiModelProperty(example = "设备拥有者性别（1.男,2.女,3.保密）")
    private String sex;

    @ApiModelProperty(example = "设备拥有者生日")
    private String birthday;

    @ApiModelProperty(example = "设备拥有者身高")
    private String height;

    @ApiModelProperty(example = "设备拥有者体重")
    private String weight;

    @ApiModelProperty(example = "设备电话号码")
    private String phone;

    @ApiModelProperty(example = "与孩子关系")
    private String relation;

    @ApiModelProperty(example = "设备用户头像")
    private String image;
    /**
     * 与孩子关系头像文件名ID
     */
    @ApiModelProperty(example = "与孩子关系头像id")
    private String relationImageId;


}
