package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 闹钟设置表
 * </p>
 *
 * @author liy
 * @since 2022-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SaveDeviceAlarmDto implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id,修改时传此id,新增不用传")
    private String id;

    @ApiModelProperty(example = "标签")
    private String tag;

    @ApiModelProperty(example = "响铃时间")
    private String alarmTime;

    @ApiModelProperty(example = "重复星期数为'0', '1'组成的7位长度字符串, 表示周一至周日是否有效,eg: '0000011'为周六日有效, '1110000'为周一二三有效")
    private String alarmWeek;

    @ApiModelProperty(example = "设备imei")
    private String imei;

}
