package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 上课禁用(免打扰设置)表
 * </p>
 *
 * @author ${author}
 * @since 2022-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SaveDeviceDisable implements Serializable {

private static final long serialVersionUID=1L;


    @ApiModelProperty(example = "开始响铃时间")
    private String alarmStartTime;

    @ApiModelProperty(example = "重复星期数为'0', '1'组成的 7 位长度字符串, 表示周一至周日是否有效 eg: '0000011' 周六日有效, '1110000' 为周一二三有效")
    private String alarmWeek;



    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "结束响铃时间")
    private String alarmEndTime;


}
