package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Title: UpdateOwnerInfoDto
 * @Author: liy
 * @Date: 2022/9/23 11:26
 * @Description:
 * @Version:1.0
 */
@Data
public class UpdateOwnerInfoDto {
    @ApiModelProperty(example = "设备拥有者名字")
    private String name;
    @ApiModelProperty(example = "设备imei号")
    private String imei;
    @ApiModelProperty(example = "设备拥有者性别（1.男,2.女,3.保密）")
    private String sex;

    @ApiModelProperty(example = "设备拥有者生日")
    private String birthday;

    @ApiModelProperty(example = "设备拥有者身高")
    private String height;

    @ApiModelProperty(example = "设备拥有者体重")
    private String weight;

    @ApiModelProperty(example = "设备电话号码")
    private String phone;

    @ApiModelProperty(example = "与孩子关系")
    private String relation;

    @ApiModelProperty(hidden = true)
    private String image;
    /**
     * 与孩子关系头像文件名ID
     */
    @ApiModelProperty(example = "与孩子关系头像id")
    private String relationImageId;
}
