package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Title: UserDeviceBindDto
 * @Author: liy
 * @Date: 2022/9/23 10:14
 * @Description:
 * @Version:1.0
 */
@Data
public class UserDeviceBindDto{
    /**
     * 设备imei
     */
    @ApiModelProperty(example = "设备imei")
    private String imei;
    /**
     * 姓名
     */
    @ApiModelProperty(example = "姓名")
    private String name;
    /**
     * 姓名
     */
    @ApiModelProperty(example = "头像")
    private String image;

    @ApiModelProperty(example = "设备拥有者生日")
    private String birthday;

    @ApiModelProperty(example = "设备拥有者身高")
    private String height;

    @ApiModelProperty(example = "设备拥有者体重")
    private String weight;

    @ApiModelProperty(example = "所在群组id")
    private String groupid;

    @ApiModelProperty(example = "性别")
    private  String sex;

    @ApiModelProperty(example = "设备手机号码")
    private String phone;

    @ApiModelProperty(example = "是否是管理员（默认0：游客，1：普通用户(关注的人),2:管理员，3.导入联系人）")
    private String identity;


    @ApiModelProperty(example = "是否拒绝陌生人来电(默认为0,（0.否，1.是)")
    private String rejectStrange;

    @ApiModelProperty(example = "拨号盘开关(默认0，1 (打开) 或 0 (关闭))")
    private String dialSwitch;

    @ApiModelProperty(example = "定位模式ID")
    private String positioningModelId;

    @ApiModelProperty(example = "定位模式间隔时间(分钟)")
    private Integer positioningInterval;
}
