package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Title: userVo
 * @Author: liy
 * @Date: 2022/8/17 10:41
 * @Description:
 * @Version:1.0
 */
@Data
public class UserDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 邮箱*/
    @ApiModelProperty(example  = "邮箱账号")
    private String email;
    /** 密码*/
    @ApiModelProperty(example  = "密码")
    private String password;
    /** 验证码*/
    @ApiModelProperty(example  = "验证码")
    private String code;
    /** APP信息相关*/
    @ApiModelProperty(hidden = true)
    private String userAgent;

}
