package com.ecell.internationalize.app.entity.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value="DeviceAttentionPO对象", description="DeviceAttentionPO对象")
public class DeviceAttentionPO {
    @ApiModelProperty(example = "主键id")
    private String id;
    @ApiModelProperty(example = "用户id")
    private String userId;
    @ApiModelProperty(example = "管理员id")
    private String adminId;
    @ApiModelProperty(example = "消息类型")
    private String type;
    @ApiModelProperty(example = "设备imei")
    private String imei;
    @ApiModelProperty(example = "设备名称")
    private String name;
    @ApiModelProperty(example = "申请人手机号码")
    private String phone;
    @ApiModelProperty(example = "申请状态(0.审批中,1.通过，2.拒绝)")
    private String action;
    @ApiModelProperty(example = "是否已读（0.未读1.已读）")
    private String read;

    @ApiModelProperty(example = "与孩子的关系")
    private String relationship;

    @ApiModelProperty(example = "头像id")
    private String relationshipImageId;

    @ApiModelProperty(value = "申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}
