package com.ecell.internationalize.app.kafka;

import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.Producer;
import org.apache.kafka.clients.producer.ProducerRecord;

import java.util.Properties;

/**
 * @Title: KafkaProducer
 * @Author: liy
 * @Date: 2022/8/31 16:37
 * @Description:
 * @Version:1.0
 */
public class MyKafkaProducer {
    public static void producerKafka(String topic, String msg) {
        Properties properties = MyKafkaConfig.inProducerConfig();
        Producer<String,Object> producer=new KafkaProducer<>(properties);

            producer.send(new ProducerRecord<>(topic,msg), (recordMetadata, e) -> {
                if (e==null){
                    String topic1 = recordMetadata.topic();
                    int partition = recordMetadata.partition();
                    long offset = recordMetadata.offset();
                    System.out.println("发送消息到Kafka中的名字为" + topic1 + "的主题，第" + partition + "分区，第" + offset + "条数据成功!");
                }else {
                    System.out.println("生产消息异常:"+e.getMessage());
                }
            });

        producer.close();
    }
}
