package com.ecell.internationalize.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.app.entity.DeviceVideoRecordApp;
import com.ecell.internationalize.app.entity.dto.DeviceVideoRecordQuery;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 视频通话记录 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
public interface DeviceVideoRecordAppMapper extends BaseMapper<DeviceVideoRecordApp> {


    Page<DeviceVideoRecordQuery> queryRecord(@Param("current") Page<DeviceVideoRecordQuery> page, @Param("userId") String userId);
}
