package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.DeviceVideoRecordApp;
import com.ecell.internationalize.app.entity.dto.DeviceVideoRecordDto;
import com.ecell.internationalize.app.entity.dto.DeviceVideoRecordQuery;

/**
 * <p>
 * 视频通话记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
public interface DeviceVideoRecordAppService extends IService<DeviceVideoRecordApp> {
    /**
     * @Title: DeviceVideoRecordAppService
     * @Author: liy
     * @Date: 2022/10/18 16:24
     * @Description: 视频通话记录上传
     * @Version:1.0
     */
    void handVideoDuration(String imei,String videoId,int duration,int waitDuration,String type);
    /**
     * @Title: DeviceVideoRecordAppService
     * @Author: liy
     * @Date: 2022/10/18 16:24
     * @Description: APP挂断后视频通话记录上传
     * @Version:1.0
     */
    void appVideoRecord(DeviceVideoRecordDto deviceVideoRecordDto);
    /**
     * 分页查询通话记录
     * @param current 当前页
     * @param pageSize 每页多少条记录
     * @return list
     */
    IPage<DeviceVideoRecordQuery> queryRecord(Integer current, Integer pageSize);
}
