package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.dto.ImeiSosInfoDto;
import com.ecell.internationalize.common.system.entity.ImeiSosInfo;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-17
 */
public interface ImeiSosInfoService extends IService<ImeiSosInfo> {
    /**
     * sos新增
     * @param info
     * @return
     */
    boolean addSOSPhone(ImeiSosInfoDto info);

    /**
     * 根据imei查询sos
     * @param imei
     * @return
     */
    ImeiSosInfo querySOSPhone(String imei);
}
