package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.DeviceModelInfo;
import com.ecell.internationalize.app.entity.dto.DeviceModelDto;
import com.ecell.internationalize.app.mapper.DeviceModelInfoMapper;
import com.ecell.internationalize.app.service.DeviceModelInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备型号管理信息表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-06
 */
@Service
public class DeviceModelInfoServiceImpl extends ServiceImpl<DeviceModelInfoMapper, DeviceModelInfo> implements DeviceModelInfoService {
    @Autowired
    private DeviceModelInfoMapper deviceModelInfoMapper;
    @Override
    public DeviceModelDto queryById(String deviceModelId) {
        return deviceModelInfoMapper.queryById(deviceModelId);
    }
}
