package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.dto.UserDeviceBindDto;
import com.ecell.internationalize.app.mapper.UserDeviceBindAppMapper;
import com.ecell.internationalize.app.service.UserDeviceBindService;
import com.ecell.internationalize.common.system.entity.UserDeviceBindApp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户设备绑定表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-16
 */
@Service
public class UserDeviceBindServiceImpl extends ServiceImpl<UserDeviceBindAppMapper, UserDeviceBindApp> implements UserDeviceBindService {
    @Autowired
    private UserDeviceBindAppMapper userDeviceBindAppMapper;
    @Override
    public List<UserDeviceBindDto> queryByUserId(String userId) {
        return userDeviceBindAppMapper.queryByUserId(userId);
    }
}
