package com.ecell.internationalize.app.util;


import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

/**
 * @Title: TimeUtil
 * @Author: liy
 * @Date: 2022/10/14 13:59
 * @Description:
 * @Version:1.0
 */
@Slf4j
@Component
public class TimeUtil {

    /**
     * 获取今天是星期几
     * */
    public static String time() {
        String[] weekDays = {"7", "1", "2", "3", "4", "5", "6"};
        Calendar calendar = Calendar.getInstance();
        String  week_day= weekDays[calendar.get(Calendar.DAY_OF_WEEK) - 1];
        log.info("获取到的今天的day:{}",week_day);
        return week_day;
    }
    /**
     * 判断当前星期是否在设置的星期范围内
     * @param  week 星期范围
     * @param day 当前星期
     * */
    public static Boolean getDays(String week,String day){
        List<String> list = new ArrayList<>();
        for(int i = 0; i < week.length() ; i++){
            String s = week.substring(i,i+1);
            if ("1".equals(s)){
                list.add(String.valueOf(i+1));
            }
        }
        boolean contains = list.contains(day);
        return list.contains(day);
    }

    public static void main(String[] args) throws ParseException {

//        String str="2022-10-27";
//        //获取当前几点几分
//        Date date;
//        SimpleDateFormat simpleDateFormat=new SimpleDateFormat("yyyy-MM-dd");
//        date=simpleDateFormat.parse(str);
//        String start = String.valueOf(date.getTime()).substring(0, 10);
//        int end=Integer.parseInt(start)+86400;
//        System.out.println(start);
//        System.out.println(end);
//        String time=simpleDateFormat.format(date);
//        log.info("time:{}",time);
//        String start="15:25";
//        String end="15:27";
//        String[] startTime=start.split(":");
//        String[] nowTime=time.split(":");
//        String[] endTime=end.split(":");
//        String startHour=startTime[0];
//        String startMinute=startTime[1];
//        String endHour=endTime[0];
//        String endMinute=endTime[1];
//        String nowHour=nowTime[0];
//        String nowMinute=nowTime[1];
//        //转换为秒
//        int starts=Integer.parseInt(startHour)*3600+Integer.parseInt(startMinute)*60;
//        log.info("设置的起始时间为:{}",starts);
//        int ends=Integer.parseInt(endHour)*3600+Integer.parseInt(endMinute)*60;
//        log.info("设置的结束时间为:{}",ends);
//        int nows=Integer.parseInt(nowHour)*3600+Integer.parseInt(nowMinute)*60;
//        log.info("当前时间为:{}",nows);
//        if (nows<starts){
//            log.info("当前时间小于起始时间");
//        }
//       else if (nows>ends){
//            log.info("当前时间大于结束时间");
//        }else {
//            log.info("成功");
//        }

//        List<String> list = new ArrayList<String>();
//        String status="0000000";
//        String day="5";
//        for(int i = 0; i < status.length() ; i++){
//            String s = status.substring(i,i+1);
//            if ("1".equals(s)){
//                list.add(String.valueOf(i+1));
//            }
//        }
//        log.info("list:{}",list);
//        if (list.contains(day)){
//            log.info("在范围内，返回true");
//        }else {
//            log.info("不在范围内，返回false");
//        }
    }
}
