package com.ecell.internationalize.common.system.annotation;

import java.lang.annotation.*;

/**
 * @author borui
 */
@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SystemLog {
    /**
     * 功能模块信息
     */
    String msg() default "";
    /**
     * 操作描述
     */
    String operation() default "";

}
