package com.ecell.internationalize.common.system.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author borui
 */
public class ExceptionResultConstant {
    public  static final Map<String,String> RESULT_MAP = new HashMap<>(16);
    static {
        RESULT_MAP.put("密码不能为空", "messages.pwd.empty");
        RESULT_MAP.put("长度需要在6和32之间", "messages.pwd.length");
        RESULT_MAP.put("联系人电话号码不能为空", "messages.firm.phone");
        RESULT_MAP.put("厂商名称不能为空", "messages.firm.name");
        RESULT_MAP.put("企业联系人不能为空", "messages.firm.man");
        RESULT_MAP.put("合作开始时间不能为空", "messages.firm.startTime");
        RESULT_MAP.put("企业地址不能为空", "messages.firm.location");
        RESULT_MAP.put("厂商编号不能为空", "messages.firm.code");
        RESULT_MAP.put("推广人员不能为空", "messages.firm.salesMan");
        RESULT_MAP.put("企业邮箱不能为空", "messages.firm.email");
        RESULT_MAP.put("合作结束时间不能为空", "messages.firm.endTime");
        RESULT_MAP.put("类别名称不能为空", "messages.category.name");
        RESULT_MAP.put("排序序号不能为空", "messages.category.order");
        RESULT_MAP.put("所属消息类别不能为空", "messages.content.category");
        RESULT_MAP.put("消息内容不能为空", "messages.content.name");
        RESULT_MAP.put("是否热门问题不能为空", "messages.content.hot");
        RESULT_MAP.put("用户类别不能为空", "messages.user.type");
        RESULT_MAP.put("热门搜索内容不能为空", "messages.activity.search");
        RESULT_MAP.put("banner图链接不能为空", "messages.banner.link");
        RESULT_MAP.put("banner图标题不能为空", "messages.banner.title");
        RESULT_MAP.put("广告商名称不能为空", "messages.advert.name");
        RESULT_MAP.put("广告商标识不能为空", "messages.advert.flag");
        RESULT_MAP.put("渠道商名称不能为空", "messages.channel.name");
        RESULT_MAP.put("APP渠道标识不能为空", "messages.channel.flag");

    }
}
