package com.ecell.internationalize.common.system.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author borui
 */
public class FieldConstant {
    /**国际化文件的key */
    public static final String MESSAGES_TITLE="messages.title";
    /**成功返回结果 */
    public static final String MESSAGES_SUCCESS="messages.success";
    /**失败返回结果 */
    public static final String MESSAGES_ERROR="messages.error";
     public static final String LOCAL_LIMIT_MESSAGES_ERROR="localLimit.messages.error";
     public static final String   LOCATIONINFO_MESSAGES_ERROR="locationInfo.messages.error";
    /**请求头lang，国家语言标识 */
    public static final String LANG="lang";
    /**创建时间 */
    public static final String CREATE_TIME="createTime";
    /**更新时间 */
    public static final String UPDATE_TIME="updateTime";
    /**创建人 */
    public static final String CREATE_USER="createUser";
    /**更新人 */
    public static final String UPDATE_USER="updateUser";
    /**连接符 */
    public static final String CONN_CHAR="_";
    /** 登录账号（手机号） */
    public static final String PHONE="phone";
    /** 厂商名称 */
    public static final String FIRM_NAME="firmName";
    /** iMei设备 */
    public static final String I_MEI="iMei";
    /** 渠道 */
    public static final String CHANNEL="channel";
    /** 当前页 */
    public static final String CURRENT="current";
    /** 当前页条数 */
    public static final String SIZE="pageSize";
    /** 状态 */
    public static final String STATUS="status";
    /** 数字 */
    public static final String MATH_ONE="1";
    /** 类别名称 */
    public static final String CATEGORY_NAME="category_name";
    /** 厂商名称 */
    public static final String FIRM_NAME_COLUMN="firm_name";
    /** 存在类别名称值返回结果 */
    public static final String MESSAGES_CATEGORY_NAME="messages.category.exit";
    /** 存在厂商名称值返回结果 */
    public static final String FIRM_NAME_EXIT="messages.firm.exit";
    /** 用户账号 */
    public static final String USER_ACCOUNT="userAccount";
    /** 用户类型 */
    public static final String USER_TYPE="userType";
    /** banner标题 */
    public static final String BANNER_TITLE="title";
    /** jpg */
    public static final String JPG=".jpg";
    /** png */
    public static final String PNG=".png";
    /** 图片上传错误返回结果 */
    public static final String UPLOAD_FAIL="messages.upload.fail";
    /** 相对路径 */
    public static final String PATH="yisai-modules/yisai-system/src/main/resources";
    /** 修改头像相对路径 */
    public static final String IMAGE_PATH="yisai-modules/yisai-system-security/src/main/resources";
    /** 日期格式 */
    public static final String DATE_FORMAT="yyyyMMdd";
    public static final String STATIC_IMAGE="static/image/";
    public static final String IMAGE="image/";
    public static final String USER_IMAGE="image/user.png";
    /** 活动标题 */
    public static final String ACTIVITY_TITLE="activityTitle";
    /** 活动类别 */
    public static final String ACTIVITY_CATEGORY="activityCategory";
    /** 年龄阶段 */
    public static final String ACTIVITY_AGE="activityAge";
    /** 活动区域 */
    public static final String ACTIVITY_AREAS="activityAreas";
    /** 父级节点*/
    public static final String TREE_ROOT_ID="-1";
    public static final String PARENT_ID="parent_id";
    /** 登陆失败 */
    public static final String LOGIN_FAIL = "Error";
    /**失败返回结果 */
    public static final String MESSAGES_LOGIN_EMPTY="messages.login.empty";
    /**熔断降级结果 */
    public static final String MESSAGES_FALLBACK_INFO="messages.fallback.info";
    /** 查询结果为空返回 */
    public static final String MESSAGES_LOGIN_ERROR="messages.login.error";
    /** 账号被删除 */
    public static final String DELETED="0";
    /** 账号被删除提示 */
    public static final String MESSAGES_ACCOUNT_DELETE="messages.account.delete";
    /** 密码错误 */
    public static final String MESSAGES_ERROR_PASSWORD="messages.error.password";
    /** 账号被停用提示 */
    public static final String MESSAGES_ACCOUNT_STOP="messages.account.stop";
    /**
     * 缓存有效期，默认720（分钟）
     */
    public static final long EXPIRATION = 720;

    public static final long MILLIS_MINUTE = 60 * 1000;
    /**
     * 权限缓存前缀
     */
    public  static final String LOGIN_TOKEN_KEY = "login_tokens:";

    public static final Integer FAIL_CODE=500;

    public static final String ADMIN="1";
    /** 用户账号*/
    public static final String ACCOUNT="account";
    /** 用户昵称*/
    public static final String NICK_NAME="nickName";
    /** 账号状态 0正常 1停用*/
    public static final String ACCOUNT_STATUS="status";
    /** 存在用户账号返回结果 */
    public static final String ACCOUNT_EXIT="messages.account.exit";
    /** 存在用户账号返回结果 */
    public static final String NOT_PERMISSION="messages.not.permission";
    /** 未删除*/
    public static final String DEL_FLAG="1";
    /** 角色名称*/
    public static final String ROLE_NAME="role_name";
    /** 存在用户角色返回结果 */
    public static final String SYS_ROLE_EXIT="messages.role.exit";
    /** 删除标识*/
    public static final String USER_DEL_FLAG="del_flag";
    /** 用户管理*/
    public static final String USER_MANAGE="messages.user.management";
    /** 角色管理*/
    public static final String ROLE_MANAGE="messages.role.management";
    /** 新增操作 所有新增可使用同一变量名*/
    public static final String SAVE_OPERATOR="messages.save.operator";
    /** 修改操作 所有修改可使用同一变量名*/
    public static final String UPDATE_OPERATOR="messages.update.operator";
    /** 删除操作 所有删除可使用同一变量名*/
    public static final String DELETE_OPERATOR="messages.delete.operator";
    /** 修改状态操作 所有修改状态可使用同一变量名*/
    public static final String CHANGE_STATUS_OPERATOR="messages.change.operator";
    /** 操作状态为失败*/
    public static final String OPERATOR_FAIL="0";
    /** 操作状态为成功*/
    public static final String OPERATOR_SUCCESS="1";
    /** 系统异常*/
    public static final String SYSTEM_ERROR="messages.system.error";
    /** 状态码500*/
    public static final Integer CODE_FIVE=500;
    /** code*/
    public static final String CODE="code";
    /** msg*/
    public static final String MSG="msg";
    /** 活动Banner管理*/
    public static final String ACTIVITY_BANNER_BANNER="messages.activity.banner";
    /** 活动banner图发布/取消发布操作*/
    public static final String ACTIVITY_BANNER_PUBLISH="messages.activity.banner.publish";
    /** 活动管理*/
    public static final String ACTIVITY_BANNER="messages.activity.manage";
    /** 活动发布/取消发布操作*/
    public static final String ACTIVITY_PUBLISH="messages.activity.publish";
    /** 热门搜索功能*/
    public static final String HOT_SEARCH="messages.hot.search";
    /** 广告配置功能*/
    public static final String ADVERT_MANAGE="messages.advert.manage";
    /** 文字滚动广告功能*/
    public static final String WORD_ROLL_ADVERT="messages.word.roll";
    /** 渠道管理*/
    public static final String CHANNEL_MANAGE="messages.channel.manage";
    /** 厂商管理*/
    public static final String FIRM_MANAGE="messages.firm.manage";
    /** 首页Banner图功能*/
    public static final String HOME_BANNER_MANAGE="messages.home.banner";
    /** 首页Banner发布/取消发布功能*/
    public static final String HOME_BANNER_PUBLISH="messages.home.banner.publish";
    /** 消息分类功能*/
    public static final String MESSAGE_CATEGORY="messages.category.function";
    /** 消息内容功能*/
    public static final String MESSAGE_CONTENT="messages.category.content";
    /** 是否热门问题*/
    public static final String IS_HOT_QUESTION="messages.hot.question";
    /** 系统消息*/
    public static final String SYSTEM_MESSAGE_CONTENT="messages.system.content";
    /** 用户操作*/
    public static final String USER_OPERATOR="messages.user.operator";
    /** 用户启用/停用账号操作*/
    public static final String USER_CHANGE_ACCOUNT="messages.user.change";
    /** 2*/
    public static final String SECOND_FLAG="2";
    /** admin用户禁止删除*/
    public static final String ADMIN_NOT_DELETE="messages.not.delete";
    /** 重置密码*/
    public static final String RESET_PASSWORD="messages.reset.password";
    /** 管理员用户禁止重置密码*/
    public static final String ADMIN_NOT_RESET="messages.admin.prohibit";
    /** 新旧密码不一致*/
    public static final String DIFFERENT_PWD="messages.different.password";
    /** 修改用户个人信息*/
    public static final String UPDATE_USER_INFO="messages.update.userInfo";
    public  static final Map<String,String> TYPE_MAP = new HashMap<>(16);
    static {
        TYPE_MAP.put("1", "activity_category");
        TYPE_MAP.put("2", "activity_age");
        TYPE_MAP.put("3", "activity_areas");
    }
    /** 邮箱验证码标题*/
    public static final String EMAIL_SUBJECT="messages.email.subject";
    /** 邮箱验证码正文*/
    public static final String EMAIL_TEXT_PRE="messages.email.text_pre";
    /** 邮箱验证码正文*/
    public static final String EMAIL_TEXT_TAIL="messages.email.text_tail";
    /** 邮箱验证码过期*/
    public static final String EMAIL_CODE_EXPIRE="messages.email.code.expire";
    /** 邮箱验证码错误*/
    public static final String EMAIL_CODE_FAIL="messages.email.code.fail";
    /** 注册邮箱已存在*/
    public static final String EMAIL_REGISTER_EXIT="messages.email.register.exit";
    /** 登录用户不存在*/
    public static final String EMAIL_LOGIN_EXIT="messages.login.not.exit";
    /** 旧密码有误*/
    public static final String OLD_PASSWORD_ERROR="messages.password.error";
    /** 用户已被停用*/
    public static final String EMAIL_STOP="messages.email.stop";
    /** 用户密码错误*/
    public static final String EMAIL_PWD_ERROR="messages.pwd.error";
    /** 不合法的请求*/
    public static final String BAD_REQUEST="messages.bad.request";
    /** 未绑定设备*/
    public static final String NOT_BIND_DEVICE="messages.not.bind";
    /** 查询的设备型号为空*/
    public static final String DEVICE_IS_NULL="messages.device.empty";
    /** 闹钟数量*/
    public static final String ALARM_CLOCK_NUMBER="messages.clock.number";
    /** 上课禁用时段*/
    public static final String DISABLE_CLASS_NUMBER="messages.class.number";
    /** 管理员操作*/
    public static final String ADMIN_OPERATION="messages.admin.operation";
    /** 未找到绑定的用户*/
    public static final String DEVICE_BIND_USER="messages.bind.user";
    /** 多台终端登录返回*/
    public static final String USER_HAS_LOGIN="messages.user.hasLogin";
    /** 安全围栏数量不能超过4个 */
    public static final String RAILS_COUNT="rails.count";
    /** 新增版本更新操作*/
    public static final String VERSION_UPDATE="messages.version.update";
    /** 上传APK文件提示*/
    public static final String VERSION_APK_UPLOAD="messages.version.apk";
    /** 新增、更新版本更新已存在最新记录*/
    public static final String VERSION_HAS_EXIT="messages.has.exit";
    /** 查找手表不在线*/
    public static final String QUERY_DEVICE_ERROR="messages.query.device.error";
    /** 定位模式绑定设备型号禁止修改 */
    public static final String  PROHIBIT_ERROR="messages.positioning.error";
}
