package com.ecell.internationalize.common.system.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author borui
 */
public class ServiceExceptionResultConstant {
    public  static final Map<String,String> RESULT_MSG_MAP = new HashMap<>();
    static {
        RESULT_MSG_MAP.put("IMEI长度有误","messages.imei.length");
        RESULT_MSG_MAP.put("此设备ID不存在","messages.deviceId.error");
        RESULT_MSG_MAP.put("删除失败,数据不能为空","messages.delDevice.error");
        RESULT_MSG_MAP.put("删除失败，请联系管理员","messages.delImei.error");
        RESULT_MSG_MAP.put("导入IMEI数据不能为空","messages.importImei.error");
        RESULT_MSG_MAP.put("该设备型号ID有误","messages.deviceModel.error");
        RESULT_MSG_MAP.put("导入SOS数据不能为空","messages.importSOS.error");
        RESULT_MSG_MAP.put("导入白名单数据不能为空","messages.importWhite.error");
        RESULT_MSG_MAP.put("用户有误请重新登录","messages.userLog.error");
        RESULT_MSG_MAP.put("此视频类型已绑定设备不能删除","messages.videoModel.error");
        RESULT_MSG_MAP.put("messages.import.money.thousand.error","messages.import.money.thousand.error");
        RESULT_MSG_MAP.put("messages.import.two.hundred.error","messages.import.two.hundred.error");
        RESULT_MSG_MAP.put("messages.delete.device.sing.error","messages.delete.device.sing.error");
        RESULT_MSG_MAP.put("messages.device.unBing.error","messages.device.unBing.error");
        RESULT_MSG_MAP.put("messagesParameterError","messages.parameter.error");
        RESULT_MSG_MAP.put("messagesIsPhoneNull","messages.isPhone.null");
        RESULT_MSG_MAP.put("messagesImeiIsNull","messages.imei.isNull");
        RESULT_MSG_MAP.put("messagesImeiNotAudit","messages.imei.notAudit");
        RESULT_MSG_MAP.put("messagesMaximumLimitExceeded","messages.maximum.limit.exceeded");
        RESULT_MSG_MAP.put("messagesDevicePhone","messages.device.phone");
        RESULT_MSG_MAP.put("messagesBindingDeviceError","messages.binding.device.error");
        RESULT_MSG_MAP.put("messagesBindingDeviceIsNotNull","messages.binding.device.isNotNull");
        RESULT_MSG_MAP.put("messagesBindingVideoType","messages.binding.video.type");
        RESULT_MSG_MAP.put("messagesApplyError","messages.apply.error");
        RESULT_MSG_MAP.put("messagesBindingNotError","messages.binding.not.error");
        RESULT_MSG_MAP.put("messagesApplyFollowError","messages.apply.follow.error");
        RESULT_MSG_MAP.put("messagesUnbindingError","messages.unbinding.error");
        RESULT_MSG_MAP.put("messagesUserDoesNotExist","messages.user.does.not.exist");
        RESULT_MSG_MAP.put("messagesAdminIdNotNull","messages.adminId.not.null");
        RESULT_MSG_MAP.put("messagesUserIdNotNull","messages.userId.not.null");
        RESULT_MSG_MAP.put("messagesDeviceAttentionError","messages.deviceAttention.error");
        RESULT_MSG_MAP.put("messagesAttentionNotExist","messages.attention.not.exist");
        RESULT_MSG_MAP.put("messagesGroupInfo","messages.group.info");
        RESULT_MSG_MAP.put("messagesDeviceOwnerInfo","messages.device.owner.info");
        RESULT_MSG_MAP.put("messageDeviceAuditError","message.device.audit.error");
        RESULT_MSG_MAP.put("messagesPositioningModelError","messages.positioning.model.error");
        RESULT_MSG_MAP.put("messages.imei.track.error","messages.imei.track.error");
        RESULT_MSG_MAP.put("messages.IOS.send.error","messages.IOS.send.error");
        RESULT_MSG_MAP.put("messages.length.error","messages.length.error");
        RESULT_MSG_MAP.put("messagesIsPhoneBound","phone.has.exit");
        RESULT_MSG_MAP.put("messages.limit.max.error","messages.limit.max.error");

    }
}
