package com.ecell.internationalize.common.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="VersionRatio对象", description="用户版本统计")
public class VersionRatio implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键Id")
    private String id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "渠道")
    private String channelName;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "用户id")
    private String userId;

    private Integer timestamp;

}
