package com.ecell.internationalize.common.system.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="VersionRatioHistory对象", description="历史活跃数")
public class VersionRatioHistory implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键Id")
    private String id;

    @ApiModelProperty(value = "活跃时间")
    private String historyTime;

    @ApiModelProperty(value = "每天活跃数")
    private Integer historyTotal;
}
