package com.ecell.internationalize.system.security.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
public class MenuVO implements Serializable {
    private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    private String menuId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 父菜单ID
     */
    private String parentId;

    /**
     * 显示顺序
     */
    private Integer showOrder;

    /**
     * 路由地址
     */
    private String path;

    /**
     * 菜单类型（M目录 C菜单 F按钮）
     */
    private String menuType;

    /**
     * 菜单状态（0显示 1隐藏）
     */
    private String visible;

    /**
     * 权限标识
     */
    private String perms;

    /**
     * 菜单图标
     */
    private String icon;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateUser;

    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 组件路径
     */
    private String component;
    /**
     * 路由参数
     */
    private String query;

    /** 是否为外链（0是 1否） */
    private String isFrame;

    /** 是否缓存（0缓存 1不缓存） */
    private String isCache;

}
