package com.ecell.internationalize.system.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.common.system.entity.SysUser;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 系统用户 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-18
 */
public interface SysUserMapper extends BaseMapper<SysUser> {
    /**
     * 用户管理条件分页查询
     * @Author liy
     * @Date 2022/7/13 15:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<SysUser> getList(@Param("page") Page<SysUser> page, @Param("map") Map<String, Object> map);
}
