package com.ecell.internationalize.system.security.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.common.system.entity.SysOperateInfo;

import java.util.List;
import java.util.Map;

/**
 * @author borui
 */
public interface SysOperateInfoService extends IService<SysOperateInfo> {
    /**
     * 用户管理条件分页查询
     * @Author liy
     * @Date 2022/7/20 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<SysOperateInfo> findAllByPage(Map<String, Object> map);

    /**
     * 查询模块名称
     * @Author liy
     * @Date 2022/7/20 16:42
     * @return List
     */
    List<String> queryModuleName();
}
