package com.ecell.internationalize.system.api;
import com.ecell.internationalize.common.system.entity.SysUser;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "ecell-internationalize-security",path="/sys_user",contextId ="ecell-internationalize-security01")
public interface UserFirmApi {

    /**
     * 根据用户名查询
     * @Author: liy
     * @Date: 2022/7/18 16:34
     */
    @GetMapping("user/queryByUserName")
    SysUser queryByUserName(@RequestParam("userName") String userName);



}
