package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.dto.ImeiLogPageDTO;
import com.ecell.internationalize.system.service.FactoryLogInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-11-03
 */
@Api(value="解绑日志记录",tags={"解绑日志记录接口"})
@RestController
@RequestMapping("/factory-log-info")
public class FactoryLogInfoController {
    @Autowired
    private FactoryLogInfoService factoryLogInfoService;
    /**
     * 分页查询日志
     * @param dto
     * @return
     */
    @PostMapping("/page/list")
    public AjaxResult queryPageList(@RequestBody ImeiLogPageDTO dto){
        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), factoryLogInfoService.queryByPageList(dto));
    }

}

