package com.ecell.internationalize.system.entity;
import com.ecell.internationalize.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ImeiWhiteInfo对象", description="")
public class ImeiWhiteInfo implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String imeiWhiteId;

    @ApiModelProperty(value = "设备号imei")
    @Excel(name = "imei",type = Excel.Type.IMPORT)
    private String imei;

    @ApiModelProperty(value = "白名单昵称1")
    @Excel(name = "whiteNameOne",type = Excel.Type.IMPORT)
    private String whiteNameOne;

    @ApiModelProperty(value = "白名单1")
    @Excel(name = "whitePhoneOne",type = Excel.Type.IMPORT)
    private String whitePhoneOne;

    @ApiModelProperty(value = "白名单昵称2")
    @Excel(name = "whiteNameTwo",type = Excel.Type.IMPORT)
    private String whiteNameTwo;

    @ApiModelProperty(value = "白名单2")
    @Excel(name = "whitePhoneTwo",type = Excel.Type.IMPORT)
    private String whitePhoneTwo;

    @ApiModelProperty(value = "白名单昵称3")
    @Excel(name = "whiteNameThree",type = Excel.Type.IMPORT)
    private String whiteNameThree;

    @ApiModelProperty(value = "白名单3")
    @Excel(name = "whitePhoneThree",type = Excel.Type.IMPORT)
    private String whitePhoneThree;

    @ApiModelProperty(value = "白名单昵称4")
    @Excel(name = "whiteNameFour",type = Excel.Type.IMPORT)
    private String whiteNameFour;

    @ApiModelProperty(value = "白名单4")
    @Excel(name = "whitePhoneFour",type = Excel.Type.IMPORT)
    private String whitePhoneFour;

    @ApiModelProperty(value = "白名单昵称5")
    @Excel(name = "whiteNameFive",type = Excel.Type.IMPORT)
    private String whiteNameFive;

    @ApiModelProperty(value = "白名单5")
    @Excel(name = "whitePhoneFive",type = Excel.Type.IMPORT)
    private String whitePhoneFive;

    @ApiModelProperty(value = "是否删除(0.是，1.否.默认1)")
    private String delFlag;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


}
