package com.ecell.internationalize.system.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 位置最新记录
 * </p>
 *
 * @author ${author}
 * @since 2022-09-27
 */
@Data
public class LatestLocationApp implements Serializable {

private static final long serialVersionUID=1L;
    @ApiModelProperty(example = "id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "详细地址")
    private String addr;

    @ApiModelProperty(example = "经度")
    private String longitude;

    @ApiModelProperty(example = "纬度")
    private String latitude;

    @ApiModelProperty(example = "(定位类型 LBS GPS,WIFI)")
    private String locationType;

    @ApiModelProperty(example = "城市")
    private String city;

    @ApiModelProperty(example = "区域编码")
    private String adcode;

    @ApiModelProperty(example = "定位精度")
    private String radius;


}
