package com.ecell.internationalize.system.entity.api;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@NoArgsConstructor
public class ApiTrackInfo implements Serializable {
    private static final long serialVersionUID=1L;
    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "(定位类型 LBS, GPS,WIFI)")
    private String locationType;

    @ApiModelProperty(value = "详细地址")
    private String addr;

    @ApiModelProperty(value = "更新日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;



}
