package com.ecell.internationalize.system.entity.api;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author borui
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class FirmDeviceInfo implements Serializable {
    private static final long serialVersionUID=1L;
    private String imei;
    private String vendor;
    private String name;
    private String phone;
    private String sex;
    private String birthday;
    private String height;
    private String weight;
    private String image;

    private int dialSwitch;
    private int rejectStrange;
    private int positioningInterval;

  private ApiLastLocationInfo apiLastLocationInfo;


}
