package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="DeviceActivaPageDTO对象", description="查询设备激活条件对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeviceActivaPageDTO {

    @ApiModelProperty(value = "生产批次")
    private String inputBatch;

    @ApiModelProperty(value = "渠道商名称")
    private String firmName;

    @ApiModelProperty(value = "渠道商id")
    private String firmId;

    @ApiModelProperty(value = "代理商id")
    private String agentId;

    @ApiModelProperty(value = "是否是电信版本")
    private String dial;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;


}
