package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(description = "设备家庭情况分页对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeviceFamilyPageDTO {

    @ApiModelProperty("设备imei ")
    private String imei;

    @ApiModelProperty(value = "设备手机号")
    private String phone;

    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;

}
