package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Title: LocationDto
 * @Author: liy
 * @Date: 2022/11/7 11:15
 * @Description:
 * @Version:1.0
 */
@Data
public class LocationDto {
    @ApiModelProperty(example = "国家名称")
    private String country;

    @ApiModelProperty(example = "该国家拥有的设备数量")
    private Integer countryNum;

    @ApiModelProperty(example = "国家下面对应的省份")
    private List<com.ecell.internationalize.system.entity.dto.LocationChildDto> childList;


}
