package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Title: LocationDto
 * @Author: liy
 * @Date: 2022/11/7 11:15
 * @Description:
 * @Version:1.0
 */
@Data
public class LocationFindDto {
    @ApiModelProperty(example = "imei")
    private String imei;

    @ApiModelProperty(example = "在线状态(0:不在线，1：在线)")
    private String onLineStatus;

    @ApiModelProperty(example = "经度")
    private String longitude;

    @ApiModelProperty(example = "纬度")
    private String latitude;

    @ApiModelProperty(example = "国家")
    private String country;

    @ApiModelProperty(example = "省份")
    private String province;

}
