package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "LocationLimitInfoPage对象", description = "分页位置请求查询")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LocationLimitInfoPage {
    @ApiModelProperty(value = "厂商id")
    private String firmId;

    @ApiModelProperty(value = "型号id")
    private String modelId;


    @ApiModelProperty(value = "每页展示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "当前的页码")
    private Integer current;
}
