package com.ecell.internationalize.system.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 提醒消息表
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
@Data
public class ReminderMessageAppDto implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "当前页")
    private Integer current;

    @ApiModelProperty(example = "每页显示多少条")
    private Integer pageSize;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "提醒类型（1：安全围栏，2：低电信息，3：sos，4：心率,5:体温）")
    private String remindType;

    @ApiModelProperty(example = "开始时间")
    private String startTime;

    @ApiModelProperty(example = "结束时间")
    private String endTime;

}
