package com.ecell.internationalize.system.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 提醒消息表
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
@Data
public class ReminderMessageQueryDto implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "JSON格式数据")
    private String context;

    @ApiModelProperty(example = "类型")
    private String type;

    @ApiModelProperty(example = "昵称")
    private String name;

    @ApiModelProperty(example = "报警类型（1：安全围栏，2：低电信息，3：sos，4：心率,5:体温）")
    private String remindType;

    @ApiModelProperty(example = "报警")
    private String alarmContent;

    @ApiModelProperty(example = "报警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


}
