package com.ecell.internationalize.system.entity.dto;
import com.ecell.internationalize.common.system.entity.VersionRatioHistory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Title: TotalTypeDto
 * @Author: liy
 * @Date: 2022/11/2 15:24
 * @Description:
 * @Version:1.0
 */
@Data
public class TotalTypeDto {
    @ApiModelProperty(example = "统计类型（1：注册总数，2：今日注册数，3：今日活跃数,4:前一个月用户活跃数,5:前一个月每天的注册数）")
    private String type;

    @ApiModelProperty(example="数量")
    private Integer total;

    @ApiModelProperty(example="历史用户活跃数（type为4时存在该值）")
    private List<VersionRatioHistory> list;

    @ApiModelProperty(example="前一个月每天的注册数（type为5时存在该值）")
    private List<RegisterDto> registerList;
}
