package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author borui
 */
@Data
public class AlarmVO {
    @ApiModelProperty(example = "标签")
    private String tag;

    @ApiModelProperty(example = "响铃时间")
    private String alarmTime;

    @ApiModelProperty(example = "重复星期数为'0', '1'组成的7位长度字符串, 表示周一至周日是否有效,eg: '0000011'为周六日有效, '1110000'为周一二三有效")
    private String alarmWeek;

    @ApiModelProperty(example = "是否开启 0关闭，1开启，默认1")
    private String alarmStatus;

    @ApiModelProperty(example = "设备imei")
    private String imei;
}
