package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeviceModelVO{
    /***/
    private String deviceModelId;
    /** 厂商名称 */
    private String  firmName;
    /** 设备类型名称 */
    private String deviceModelName;
    /** 功能模块代码 */
    private String funModel;
    /** 功能模块说明 */
    private String funDescription;
    /** 录入总数 */
    private int InputTotal;
    /** 定位模式 */
    private String positionModel;
    /** 设备类型 */
    private String deviceType;
    /** 公众号平台名称 */
    private String officialAccountName;
    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}
