package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author borui
 */
@Data
public class EquipmentFunctionVO {
    @ApiModelProperty(example = "设备imei")
    private String imei;
    @ApiModelProperty(example = "陌生来电状态，0.关闭，1.开启")
    private String rejectStrange;
    @ApiModelProperty(example = "定位模式")
    private int positioningInterval ;
    @ApiModelProperty(example = "第一个sos号码")
    private String sosPhoneOne;
    @ApiModelProperty(example = "第二个sos号码")
    private String sosPhoneTwo;
    @ApiModelProperty(example = "第三个sos号码")
    private String sosPhoneThree;
    @ApiModelProperty(example = "电话本")
    private List<com.ecell.internationalize.system.entity.vo.TelephoneBookVO> books;
    @ApiModelProperty(example = "闹钟")
    private List<com.ecell.internationalize.system.entity.vo.AlarmVO> alarms;
    @ApiModelProperty(example = "上课禁用时段")
    private List<com.ecell.internationalize.system.entity.vo.DisableVO> disables;
    @ApiModelProperty(example = "安全围栏")
    private List<com.ecell.internationalize.system.entity.vo.SafetyRailVO> safetyRail;
}
