package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author borui
 */
@Data
public class SafetyRailVO {
    @ApiModelProperty(example = "安全区域名字")
    private String name;

    @ApiModelProperty(example = "经度")
    private String lon;

    @ApiModelProperty(example = "纬度")
    private String lat;

    @ApiModelProperty(example = "安全区域半径")
    private Integer radius;

    @ApiModelProperty(example = "安全区域地址")
    private String address;

    @ApiModelProperty(example = "重复星期数")
    private String week;

    @ApiModelProperty(example = "开始时间, 24小时制, eg: '08:00'")
    private String startTime;

    @ApiModelProperty(example = "结束时间, 24小时制, eg: '08:00'")
    private String endTime;

    @ApiModelProperty(example = "是否开启(0:关闭 1：开启)")
    private String status;
}
