package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.DeviceAlarm;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 设备报警 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface DeviceAlarmMapper extends BaseMapper<DeviceAlarm> {
    /**
     * 步数报警分页查询
     * @Author liy
     * @Date 2022/7/12 15:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<DeviceAlarm> getList(@Param("page") Page<DeviceAlarm> page, @Param("map") Map<String, Object> map);
}
