package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.DeviceStepDaily;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备步数 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface DeviceStepDailyMapper extends BaseMapper<DeviceStepDaily> {
    /**
     * 步数条件分页查询
     * @Author liy
     * @Date 2022/7/12 15:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<DeviceStepDaily> getList(@Param("page") Page<DeviceStepDaily> page, @Param("map") Map<String, Object> map,@Param("iMeiList") List<String> iMeiList);
}
