package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.HeartRateDetail;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface HeartRateDetailMapper extends BaseMapper<HeartRateDetail> {
    /**
     * 心率条件分页查询
     * @Author liy
     * @Date 2022/7/11 11:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<HeartRateDetail> getList(@Param("page") Page<HeartRateDetail> page, @Param("map") Map<String, Object> map);


}
