package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.common.system.entity.HeartTemperatureRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 心率/体温记录表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-10-28
 */
public interface HeartTemperatureRecordMapper extends BaseMapper<HeartTemperatureRecord> {
    /**
     * 心率条件分页查询
     * @Author liy
     * @Date 2022/7/11 11:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<HeartTemperatureRecord> getList(@Param("page") Page<HeartTemperatureRecord> page, @Param("map") Map<String, Object> map, @Param("iMeiList") List<String> iMeiList);
}
