package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.TemperatureDetail;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface TemperatureDetailMapper extends BaseMapper<TemperatureDetail> {
    /**
     * 体温条件分页查询
     * @Author liy
     * @Date 2022/7/11 15:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<TemperatureDetail> getList(@Param("page") Page<TemperatureDetail> page, @Param("map") Map<String, Object> map);
}
