package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.Activity;

import java.util.Map;

/**
 * <p>
 * 活动 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
public interface ActivityService extends IService<Activity> {
    /**
     * 活动分页查询
     * @Author liy
     * @Date 2022/7/14 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<Activity> findAllByPage(Map<String,Object> map);
    /**
     * 往期活动分页查询
     * @Author liy
     * @Date 2022/7/14 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<Activity> queryLastListByPage(Map<String,Object> map);
}
