package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.AdvertRoll;

import java.util.Map;

/**
 * <p>
 * 文字滚动广告列表 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
public interface AdvertRollService extends IService<AdvertRoll> {

    /**
     * 文字滚动广告分页查询
     * @Author liy
     * @Date 2022/7/15 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<AdvertRoll> findAllByPage(Map<String,Object> map);
}
