package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.DeviceStepDaily;

import java.util.Map;

/**
 * <p>
 * 设备步数 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface DeviceStepDailyService extends IService<DeviceStepDaily> {
    /**
     * 设备步数条件分页查询
     * @Author liy
     * @Date 2022/7/12 10:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<DeviceStepDaily> findAllByPage(Map<String, Object> map);

}
