package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.HeartRateDetail;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface HeartRateDetailService extends IService<HeartRateDetail> {
    /**
     * 心率条件分页查询
     * @Author liy
     * @Date 2022/7/11 11:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<HeartRateDetail> findAllByPage(Map<String, Object> map);

}
