package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.common.system.entity.HeartTemperatureRecord;

import java.util.Map;

/**
 * <p>
 * 心率/体温记录表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-28
 */
public interface HeartTemperatureRecordService extends IService<HeartTemperatureRecord> {
    /**
     * 心率条件分页查询
     * @Author liy
     * @Date 2022/7/11 11:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<HeartTemperatureRecord> findAllByPage(Map<String, Object> map);
}
