package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.MessageCategory;

import java.util.Map;

/**
 * <p>
 * 消息类别 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
public interface MessageCategoryService extends IService<MessageCategory> {
    /**
     * 消息类别分页列表
     * @Author liy
     * @Date 2022/7/13 11:42
     * @param map 分页
     * @return IPage
     */
    IPage<MessageCategory> findAllByPage(Map<String,Object> map);
    /**
     * 删除类别
     * @Author liy
     * @Date 2022/7/13 15:42
     * @param messageCategory 类别
     * @return IPage
     */
    int delCategory(MessageCategory messageCategory);
}
