package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.SystemMessage;

import java.util.Map;

/**
 * <p>
 * 系统消息 服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
public interface SystemMessageService extends IService<SystemMessage> {
    /**
     * 系统消息分页列表
     * @Author liy
     * @Date 2022/7/13 11:42
     * @param map 分页
     * @return IPage
     */
    IPage<SystemMessage> findAllByPage(Map<String,Object> map);
}
