package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.TemperatureDetail;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
public interface TemperatureDetailService extends IService<TemperatureDetail> {
    /**
     * 设备体温条件分页查询
     * @Author liy
     * @Date 2022/7/11 15:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<TemperatureDetail> findAllByPage(Map<String, Object> map);


}
