package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.VideoModelInfo;

import java.util.List;

/**
 * <p>
 * 视频型号管理信息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-08
 */
public interface VideoModelInfoService extends IService<VideoModelInfo> {
    /**
     * 验证视频型号名称是否唯一
     * @param info
     * @return
     */
    String checkModelNameUnique(VideoModelInfo info);

    /**
     * 分页查询视频型号
     * @param
     * @return
     */
    IPage<VideoModelInfo> findListByPage(int pageSize, int pageNum);

    /**
     * 删除
     * @param id
     * @return
     */
    boolean deltaById(String id);

    /**
     * 设备模型新增初始化专用
     * @return
     */
    List<VideoModelInfo> queryAll(String type);
}
