package com.ecell.internationalize.system.service.api;
import com.ecell.internationalize.system.entity.api.FirmDeviceInfo;
import com.ecell.internationalize.system.entity.api.LocationPO;

import java.util.Map;

/**
 * @author borui
 */
public interface ApiFirmService {
    /**
     * 根据imei 查询设备信息
     * @param imei
     * @return
     */
    FirmDeviceInfo queryDeviceInfoByImei(String imei);

    /**
     * 查询轨迹数据
     * @param po
     * @return
     */
    Object queryDeviceLocaltionList(LocationPO po);

    /**
     *
     * 获取位置
     * @param imei
     * @return
     */
    Map<String, String> getDeviceLocaltion(String imei);
}
